<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>descMetaData test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">Dcmangle Test </H1>

        <H2>Test Objectives</H2>
		<UL>
		<LI>Exercise the diskcacheAPI's ability to handle mount point changes</LI>		
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
		<LI><font color='brown'>diskcacheAPI</font>: detects mount point changes in local resource file LDASdiskcache.rsc
        and updates the cache directory to include the changes.</li>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        </li><p>
        <li>Install the following tests script in a directory on the ldas system.  
		<UL><p>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/dcmangle.tcl?rev=HEAD;content-type=text%2Fplain'>dcmangle.tcl</a></font> - main driver script</li>
		</UL>
        </li>
        </ul>
        <H2>Test Execution</H2>

		<p>cd &lt;your scripts directory&gt;<p>
		
        <B>Usage:</B> <CODE>dcmangle.tcl [options] & </CODE>
        <p>There are many options for dcmangle.tcl but here I just list the basic ones.
        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-starttime&gt;</CODE>
                <TD>when to start dcmangle e.g. "9/13/04 08:21:08"
            </TR>
                <TD valign=top><CODE>&lt;-endtime&gt;</CODE>
                <TD>when to end dcmangle e.g. "9/14/04 11:21:08"
            </TR>
        </TABLE><p>e.g.<pre><font color='brown'>
            dcmangle.tcl &</font></pre>
        <p> To terminate dcmangle.tcl manually, enter
        <pre><font color='brown'>touch /tmp/dcmangle/sHuTdOwN</font></pre>
		<p>
		<H2>Test Validation:</H2>
        
        dcmangle.tcl writes to a default temp directory /tmp/dcmangle. It stores a copy of the original
        LDASdiskcache.rsc file as <i>LDASdiskcache.rsc.orig</i> and a copy of the frame cache file .frame.cache2
        in directory /tmp/dcmangle. It then creates a new copy of LDASdiskcache.rsc
        with a mount point removed every 300 secs (default interval) and then put back. 
		When test has been terminate, check for the different in cache content 
        <pre><font color='brown'>
            cd /tmp/dcmangle
            /ldas/bin/cacheDump &gt; t1
            /ldas/bin/cacheDump .frame.cache2 &gt; t2
            diff t1 t2 </pre></font> should show only the files in /archive or new frame files as difference.
        e.g. <pre><font color='brown'>
        < /archive/postS3/L1/LHO/H-RDS_R_L1-7791,H,RDS_R_L1,1,32 1095084698 29 {779111040 779111968}
        3634d3572
        < /archive/postS3/L3/LHO/H-RDS_R_L3-7791,H,RDS_R_L3,1,32 1095091699 29 {779111040 779111968}
        3989,3990c3927,3928
        < /ldas_outgoing/frames/S3_RDS/LHO,H,RDS_R_L1,1,16 1095096292 104 {751800016 751801680}
        < /ldas_outgoing/frames/S3_RDS/LLO,L,RDS_R_L1,1,16 1095096315 88 {751800016 751801424}
        ---
        > /ldas_outgoing/frames/S3_RDS/LHO,H,RDS_R_L1,1,16 1095044387 193 {751800016 751803104}
        > /ldas_outgoing/frames/S3_RDS/LLO,L,RDS_R_L1,1,16 1095044383 88 {751800016 751801424}

    </BODY>
</HTML>

